<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:thr="http://purl.org/syndication/thread/1.0" 
	xmlns:atom="http://www.w3.org/2005/Atom" 
	xmlns:xhtml="http://www.w3.org/1999/xhtml" 
	xmlns:model="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0.1/portal-model-elements" 
	xmlns:base="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/ibm-portal-composite-base" 
	xmlns:portal="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0.1/portal-model" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <xsl:output method='text' version='1.0' encoding='UTF-8'/>
    <xsl:param name="selectionid"/>
	<xsl:template match="/">
		<xsl:apply-templates select="atom:feed/atom:entry[atom:id=$selectionid]/atom:content/*"/>
	</xsl:template>
	<xsl:template match="model:portlet-entity | model:portlet-definition">
		<xsl:text>portletPreferences = { "preferences": [</xsl:text>
		<xsl:for-each select="model:portletpreferences">
			<xsl:text>{ "name":</xsl:text>"<xsl:value-of select="@name"/>"
			<xsl:text>, "values": [</xsl:text>
				<xsl:for-each select="base:value">
					<xsl:text>"</xsl:text>
					<xsl:value-of select="@value"/>
					<xsl:text>"</xsl:text>
					<xsl:if test="not( position()=last() )">
						<xsl:text>,</xsl:text>
					</xsl:if>
				</xsl:for-each>
			<xsl:text>], "readonly":"</xsl:text><xsl:value-of select="@read-only"/><xsl:text>"</xsl:text>
			<xsl:text> }</xsl:text>
			<xsl:if test="not( position()=last() )">
				<xsl:text>,</xsl:text>
			</xsl:if>
		</xsl:for-each>
		<xsl:text>] };</xsl:text>
	</xsl:template>
</xsl:stylesheet>
