#!/bin/sh
#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2007, 2008. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.


#
#

echo ""
echo "Business Space powered by WebSphere 6.2 Portal IWidget Wrapper Install and Configuration"
echo ""

usage () {
  echo ""
  echo "iwidget.sh -w <wp_profile_root> -p <properties filename> -h"
  echo "where"
  echo "  -w <wp_profile_root>: full path of Portal's wp_profile"
  echo "  -p <properties file path> : full properties file path include file name"
  echo "  -h print this help."
  echo ""
  exit
  
}
OS_NAME=`uname | grep -i "OS400"`

if [ "$OS_NAME" ]; then
	scriptExt=""
else
	scriptExt=".sh"
fi

portalHome=""
propFilePath=""

while getopts ":w:p:h" opt
do
  case $opt in
    p) propFile=$OPTARG;; 
    w) wasHome=$OPTARG;; 
    h) usage;;
    ?) usage
  esac
done


if [ -z "$propFile" ]; then
    usage
fi

if [ -z "$wasHome" ]; then
  usage
fi


echo "WAS_HOME   : $wasHome"
echo "PRoP_FILE  : $propFile"
echo ""


${wasHome}/bin/ws_ant${scriptExt} -Dprop.filename=$propFile -DWAS_HOME=${wasHome} -f configure_iwidget_portlets.ant


