<!-- Copyright IBM Corp. 2007  All Rights Reserved.                    -->
	
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:atom="http://purl.org/atom/ns#" 
	>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>

<xsl:param name="numOfEntries">1</xsl:param>

<xsl:template match="/atom:feed">
<h3><xsl:value-of select='atom:title'/></h3>
<xsl:for-each select="atom:entry[position() &lt;= $numOfEntries]">
	<div class="preFormatted" style="border: 0pt none ; padding: 0px;">
		<xsl:value-of select="atom:content" disable-output-escaping="yes" />
	</div>
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
