<%@ page session="false" buffer="none" %> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%-- Licensed Materials - Property of IBM, 5724-E76, (C) Copyright IBM Corp. 2001, 2004, 2006 - All Rights reserved. --%> 
<%--
NOTE: By default, automatic reloading of theme and skin JSP files is turned off.
To see the changes you make to this file without stopping and restarting
the server, follow the instructions for enabling automatic JSP reloading
in the InfoCenter.
Do not enable automatic JSP reloading in a production environment
because performance will decrease.
NOTE: Default.jsp uses the @include JSP directive to include jsp fragments
(denoted by the.jspf extension) which compiles these files into the servlet
for Default.jsp. If you change these files, you must "touch" the version
of Default.jsp which includes it to see your changes.
You can do this by editing Default.jsp and saving it.
--%> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c-rt" %> 
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %> 
<%@ taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt-rt" %> 
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-navigation" prefix="portal-navigation" %> 
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-dynamicui" prefix="portal-dynamicui" %> 
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-logic" prefix="portal-logic" %> 
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-core" prefix="portal-core" %> 
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-fmt" prefix="portal-fmt" %> 
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-theme-ext" prefix="portal-theme-ext" %> 
<%@ taglib uri="/WEB-INF/tld/resolver-v6.tld" prefix="portal-resolver"%> 
<%@ taglib uri="/WEB-INF/tld/portal-internal.tld" prefix="portal-internal" %> 
<%@ taglib uri="/WEB-INF/tld/people.tld" prefix="pa" %> 
<%@ taglib uri="/WEB-INF/tld/menu.tld" prefix="menu" %> 
<portal-core:constants/><portal-core:defineObjects/><portal-internal:adminNavHelper/><portal-theme-ext:initthemepolicy/><jsp:useBean id="themePolicy" class="com.ibm.portal.theme.policy.ThemePolicyBean" scope="page"/><% themePolicy.setValuesMap(portalThemePolicyMap); %> 
<%@ include file="./jspInit.jspf" %> 
<%
java.util.Locale userLocale=getLocale(pageContext);
%> 
<%--
The navigation attributes can be overidden by the page meta data.
Instead of using the themePolicy directly, use EL variables initialized to the page meta-data values with the
theme policy values as a default in case the attributes aren't specified in the page meta-data.
--%> 
<portal-logic:pageMetaData varname="pageMetaData"><c:set var="renderTopNavigation"><c:out value='${pageMetaData["com.ibm.portal.themepolicy.renderTopNavigation"]}' default="${themePolicy.renderTopNavigation}"/></c:set><c:set var="topNavigationStartLevel"><c:out value='${pageMetaData["com.ibm.portal.themepolicy.topNavigationStartLevel"]}' default="${themePolicy.topNavigationStartLevel}"/></c:set><c:set var="topNavigationStopLevel"><c:out value='${pageMetaData["com.ibm.portal.themepolicy.topNavigationStopLevel"]}' default="${themePolicy.topNavigationStopLevel}"/></c:set><%-- unused at this time
<c:set var="topNavigationNumRows"><c:out value='${pageMetaData["com.ibm.wps.themepolicy.topNavigationNumRows"]}' default="${themePolicy.topNavigationNumRows}"/></c:set>--%> 
</portal-logic:pageMetaData><html<portal-fmt:bidi dir="rtl"> dir="rtl"</portal-fmt:bidi> lang="<%=userLocale%>" xmlns="http://www.w3.org/1999/xhtml" xml:lang="<%=userLocale%>"><%@ include file="./head.jspf" %> 
<body <%=bidiDirAttr%> onload="if (javascriptEventController) { javascriptEventController.enableAll(); }" class="wptheme-mainbody tundra"> <%-- 'tundra' class assigns the default theme for dojo widgets --%> 
<div id="FLYParent" class="wptheme-FLYParent"><%-- We put a top level table here to force the page to be as wide as the browser window
when the content is narrower than the window, and as wide as the content when the
content is wider than the window. You cannot do this in CSS alone as
<div style="width:100%;"> results in the page contents overlapping the page borders
and margins if the page content is wider than the browser window. --%> 
<table id="wptheme-pageWrapper" class="wptheme-pageWrapper" border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td><div class="wptheme-access"><a href="#wpsMainContent"><portal-fmt:text key="link.skiptocontent" bundle="nls.engine"/></a></div><div class="wptheme-themeHeader"><%@ include file="./banner.jspf" %> 
</div><%@ include file="./status_bar.jspf" %> 
<div class="wptheme-pageHeader"><div class="wptheme-pageHeaderLeftCorner"><div class="wptheme-pageHeaderRightCorner"><c:if test="${portalThemePolicyMap.renderApplicationName}"><%@ include file="./applicationName.jspf" %> 
</c:if><div class="wptheme-pageHeaderNavigation"><portal-logic:if portletSolo="no"><div id="wptheme-topnav"><c:if test="${!renderPlaceholdersOnly}"><c:set var="topNavStartLevelParam" value="${topNavigationStartLevel}" /><c:set var="topNavStopLevelParam" value="${topNavigationStartLevel}" /><c:set var="topNavFirstParam" value="true" /><%@ include file="./topNav.jspf" %> 
</c:if></div></portal-logic:if></div><div class="wptheme-pageHeaderTools"><portal-logic:if portletSolo="no"><c-rt:if test="${themePolicy.renderSearch}"><%@ include file="./banner_searchControl.jspf" %> 
</c-rt:if><span class="wptheme-lightboxLinks"><%-- LightBoxes (Theme Customizer) --%> 
<c:if test="${portalThemePolicyMap.renderCustomizeThemeLink && portalThemePolicyMap.isCustomizable}"><portal-logic:if loggedIn="yes" portletSolo="no"><portal-navigation:urlGeneration contentNode='ibm.portal.inline.ThemeCustomizer' layoutNode='ibm.portal.inline.ThemeCustomizer.control' newWindow='true' portletWindowState='Maximized' accessControlCheck="EditThemePolicies"><portal-navigation:urlParam name='editStyle' value='<%=portalThemePolicyPath%>' type='render' /><script type="text/javascript">var wptheme_TCLightbox=new wptheme_IFrameLightbox("wptheme-lightboxDisabledBackground", "wptheme-lightboxBorderBox", "wptheme-lightboxCloseLink", "<portal-fmt:text bundle='nls.v3theme' key='link.close' />");
</script><a href="<% wpsURL.write(out); %>" onclick="wptheme_TCLightbox.show(this.href); return false;"><img src="<portal-logic:urlFindInTheme file="images/toolBar/ThemeCustomizerButton.gif" />" class="wptheme-lightboxIcon" alt="<portal-fmt:text bundle='nls.v3theme' key='link.themeCustomizerShelf.expand' />" title="<portal-fmt:text bundle='nls.v3theme' key='link.themeCustomizerShelf.expand' />" /></a></portal-navigation:urlGeneration></portal-logic:if></c:if></span></portal-logic:if></div><div class="wptheme-clearing"><!-- --></div></div></div></div><c:if test="${topNavigationStopLevel gt topNavigationStartLevel}"><div id="wptheme-secondaryNav"><c:if test="${!renderPlaceholdersOnly}"><c:set var="topNavStartLevelParam" value="${topNavigationStartLevel + 1}" /><c:set var="topNavStopLevelParam" value="${topNavigationStopLevel}" /><c:set var="topNavFirstParam" value="false" /><%@ include file="./topNav.jspf" %> 
</c:if></div><div class="wptheme-clearing"><!-- --></div></c:if><div id="pageArea" class="wptheme-pageArea"><portal-logic:if portletSolo="no"><%@ include file="./inlineShelf.jspf" %> 
</portal-logic:if><%--
In IE the width of tables is calculated incorrectly, resulting in the page
contents often being too large to render next to the side navigation. This causes
them to wrap and render below the navigation, requiring the user to scroll after each
requiest to view the content.
To circumvent the problem, we wrap the sidenav and maincontent in a table. This table's
width is 100% of the browser, so child tables get their width set correctly
--%> 
<table id="wptheme_pageArea" width="100%" height="100%" cellpadding="0" cellspacing="0"><tr><td id="sideNav" class="wptheme-sideNavArea" width="1" valign="top" ><c:if test="${!renderPlaceholdersOnly}"><portal-logic:if portletSolo="no"><%@ include file="./sideNav.jspf" %> 
</portal-logic:if></c:if></td><td width="100%" valign="top"><div id="wptheme-pageAreaToolbar" class="wptheme-pageAreaToolbar"><portal-logic:if portletSolo="no"><c-rt:if test="${themePolicy.renderBreadCrumbTrail}"><%@ include file="./banner_crumbtrail.jspf" %> 
</c-rt:if></portal-logic:if><c-rt:if test="${themePolicy.renderTaskBar}"><%@ include file="./pageAreaTools.jspf" %> 
</c-rt:if><div class="wptheme-clearing"><!-- --></div></div><a name="wpsMainContent"></a><%-- Call the portal engine command to render the portlets for this page --%> 
<div id="mainContent" class="wptheme-mainContent"><c:if test="${!renderPlaceholdersOnly}"><portal-core:screenRender/></c:if></div></td><portal-logic:if portletSolo="no"><td <portal-fmt:bidi dir="ltr">width="1"</portal-fmt:bidi> valign="top" class="wptheme-flyoutContainer" id="wptheme-flyoutContainer"><div id="wptheme-flyout" class="wptheme-flyout" style="display: none;"><%@ include file="./flyout.jspf" %> 
</div></td><td width="1"
height="100%"
valign="top"
id="wptheme-flyoutToggle"
class="wptheme-flyoutToggle"
style="visibility: hidden"
onclick="wptheme_InlinePalettesContainer.toggle(this); return false;"><a href="#"><img class="collapsedImage" alt="<portal-fmt:text bundle='nls.v3theme' key='link.quickLinksShelf.expand' />" title="<portal-fmt:text bundle='nls.v3theme' key='link.quickLinksShelf.expand' />" src="<portal-logic:urlFindInTheme file='<%= isRTL ? "images/ExpandPalette_rtl.gif" : "images/ExpandPalette.gif" %>' />" /><img class="expandedImage" alt="<portal-fmt:text bundle='nls.v3theme' key='link.quickLinksShelf.collapse' />" title="<portal-fmt:text bundle='nls.v3theme' key='link.quickLinksShelf.collapse' />" src="<portal-logic:urlFindInTheme file='<%= isRTL ? "images/CollapsePalette_rtl.gif" : "images/CollapsePalette.gif" %>' />" /></a></td></portal-logic:if></tr></table> <%-- end wptheme_pageArea table --%> 
</div> <%-- end pageArea div --%> 
<portal-logic:if portletSolo="no"><%@ include file="./quickLinksShelf.jspf" %> 
<%@ include file="./footer.jspf" %> 
</portal-logic:if></td></tr></table> <%-- wptheme-pageWrapper --%> 
<portal-logic:if loggedIn="yes"><pa:peopleend/></portal-logic:if></div> <%-- end FLYParent --%> 
<%@ include file="./debugOptions.jspf" %> 
<%--
If no user is logged in, there's no reason to remember the flyout state. This
way the flyout state for a user that has logged out will also be reset. We also
want to include a link to the sitemap on the page where the user is not logged in
since the main menu will not be accessible to a search crawler.
--%> 
<portal-logic:if loggedIn="no" portletSolo="no" ><script type="text/javascript">wptheme_InlinePalettesContainer.unpersist();
wpsInlineShelf_clearStateCookie();
</script><portal-navigation:urlGeneration contentNode="ibm.portal.Site Map" ><a href="<%wpsURL.write(out);%>" ></a></portal-navigation:urlGeneration></portal-logic:if><%--
<script language="JavaScript">var mainSize=document.getElementById("wptheme_pageArea").offsetWidth;
var bodySize=document.body.offsetWidth;
if(mainSize>bodySize){
document.body.style.width=mainSize +50+'px';
}
</script>--%> 
<portal-logic:if portletSolo="no" loggedIn="yes" ><script type="text/javascript">wpsInlineShelf_onloadShow(<%=isRTL%>);
</script></portal-logic:if></body></html>