<%@ page session="false" contentType="text/css;charset=ISO-8859-1" %> 
<%--
NOTE: By default, automatic reloading of theme and skin JSP files is turned off.
To see the changes you make to this file without stopping and restarting
the server, follow the instructions for enabling automatic JSP reloading
in the InfoCenter.
Do not enable automatic JSP reloading in a production environment
because performance will decrease.
NOTE: styles.jsp uses the @include JSP directive to include jsp fragments
(denoted by the.jspf extension) which compiles these files into the servlet
for styles.jsp. If you change these files, you must "touch" the version
of styles.jsp which includes it to see your changes.
You can do this by editing styles.jsp and saving it.
NOTE: Because the CSS does not change frequently, this JSP sets cache headers
to tell the browser not to reload this file for a number of days to improve
performance. During development of the CSS, this behavior means you
must clear your browser cache every time you modify the CSS. To make
development easier, comment out the include of styles_cacheSettings.jspf
below. Then clear your browser cache one more time. At that point,
the browser should call this file on every page refresh.
--%> 
<%-- Licensed Materials - Property of IBM, 5724-E76, (C) Copyright IBM Corp. 2001, 2004, 2006, 2007 - All Rights reserved. --%> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c-rt" %> 
<%@ taglib uri="/WEB-INF/tld/resolver-v6.tld" prefix="portal-resolver"%> 
<%-- required so that the request parameters will be properly decoded when request.getParameter() is called (we encode use UTF-8) --%> 
<% pageContext.getRequest().setCharacterEncoding("UTF-8"); %> 
<%@ include file="./styles_cacheSettings.jspf" %> 
<%@ include file="./styles_rules.jspf" %> 
<%@ include file="./styles_theme.jspf" %> 
<%@ include file="./styles_portlet.jspf" %> 
<%@ include file="./styles_help.jspf" %> 
<%@ include file="./styles_oob.jspf" %> 
<%@ include file="./styles_ibm.jspf" %> 
<%@ include file="./styles_ibmportlet.jspf" %> 
<%@ include file="./styles_palette.jspf" %> 
<%@ include file="./styles_extensions.jspf" %> 
