<%@ page session="false" buffer="none" %> 
<%-- Licensed Materials - Property of IBM, 5724-E76, (C) Copyright IBM Corp. 2007 - All Rights reserved. --%> 
<%--
Default.jsp
This jsp produces javascript code to generates the markup for the top-level
portal navigation to be inserted into an external web app. It produces the default
markup which imitates the IBM theme ui for portal page navigation.
It takes the following URL parameters which are provided by webAppIntegrator.jsp:
Portal_Page_ID: Required, the ID of the URL page you want integrated.
Portal_Theme: Required, the name of the theme to use (not the theme title, but the
theme directory name) for color, gif, styles.
Portal_ThemeOidStr: Required, the oid of the theme named by Portal_Theme.
NOTE: By default, automatic reloading of theme and skin JSP files is turned off.
To see the changes you make to this file without stopping and restarting
the server, follow the instructions for enabling automatic JSP reloading
in the InfoCenter.
Do not enable automatic JSP reloading in a production environment
because performance will decrease.
--%> 
<%
boolean debugIntegrator=false;
try { %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c-rt" %> 
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-navigation" prefix="portal-navigation" %> 
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-logic" prefix="portal-logic" %> 
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-core" prefix="portal-core" %> 
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-fmt" prefix="portal-fmt" %> 
<%@ taglib uri="/WEB-INF/tld/portal-internal.tld" prefix="portal-internal" %> 
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-theme-ext" prefix="portal-theme-ext" %> 
<%@ page import="java.util.Stack" %> 
<%@ page import="javax.ccpp.Profile" %> 
<%@ page import="javax.ccpp.Attribute" %> 
<%@ page import="javax.ccpp.ProfileFactory" %> 
<%@ page import="com.ibm.portal.ObjectID" %> 
<%@ page import="com.ibm.portal.state.EngineURL" %> 
<%@ page import="com.ibm.portal.state.URLFactory" %> 
<%@ page import="com.ibm.wps.state.accessors.url.URLContextConstants" %> 
<%@ page import="com.ibm.portal.content.ContentNode" %> 
<%@ page import="com.ibm.portal.content.ContentNodeType" %> 
<%@ page import="com.ibm.portal.content.ThemeProvider" %> 
<%@ page import="com.ibm.portal.admin.Theme" %> 
<%@ page import="com.ibm.portal.admin.ThemeList" %> 
<%@ page import="com.ibm.portal.model.ThemeListHome" %> 
<%@ page import="com.ibm.portal.model.ThemeListProvider" %> 
<%@ page import="com.ibm.portal.identification.Identification" %> 
<%@ page import="com.ibm.portal.navigation.NavigationNode" %> 
<%@ page import="com.ibm.portal.model.NavigationModelProvider" %> 
<%@ page import="com.ibm.portal.model.NavigationModelHome" %> 
<%@ page import="com.ibm.portal.navigation.NavigationModel" %> 
<%@ page import="com.ibm.portal.state.service.PortalStateManagerServiceHome" %> 
<%@ page import="com.ibm.portal.state.service.StateManagerService" %> 
<%@ page import="com.ibm.portal.state.exceptions.StateException" %> 
<%@ page import="com.ibm.portal.state.accessors.selection.SelectionAccessorController" %> 
<%@ page import="com.ibm.portal.state.accessors.selection.SelectionAccessorFactory" %> 
<%@ page import="com.ibm.portal.state.accessors.themetemplate.ThemeTemplateAccessorController" %> 
<%@ page import="com.ibm.portal.state.accessors.themetemplate.ThemeTemplateAccessorFactory" %> 
<%@ page import="com.ibm.portal.model.PortalLocalizedContextHome" %> 
<%
if (debugIntegrator) {
System.out.println("Inside-out: get query params");
}
/* ------------------------------------------------------------------------
* The following code determines whether the WebAppIntegrator script
* tag has already been executed for this page.
*
* The portal theme uses a <table> and style <div>s to enclose page
* contents. These tags need to be closed after the page content has
* been rendered.
*
* Thus, for the Portal theme, the WebAppIntegrator script tag should be
* included at both the top and the bottom of the web app page. The
* second script tag simply closes the <div> and <table> tags
* that were opened by the first script tag.
*
* See the document: "How to Integrate an External Web Application with Portal"
* for more information.
* ------------------------------------------------------------------------
*/
%> 
if (typeof(window.webAppIntegratorInitialized) != "undefined") {
<%-- -------------------------------------------------------------------
This is the 2nd time the script tag is called, close tags:
<div id="pageArea" class="wptheme-pageArea"><table id="wptheme-pageWrapper" class="wptheme-pageWrapper" ...><div id="FLYParent" class="wptheme-FLYParent">------------------------------------------------------------------------ --%> 
document.write('</div>');
document.write("</td></tr>");
document.write("</table>");
document.write('</div>');
} else {
<%-- -------------------------------------------------------------------
This is the 1st time the script tag is called. Initialize a
global variable and continue to write the page navigation markup.
------------------------------------------------------------------------ --%> 
window.webAppIntegratorInitialized="true";
<%
/* --------------------------------------------------------
* Get parameters set by Dispatcher
* --------------------------------------------------------
*/
String pageID=request.getParameter("Portal_Page_ID");
String themeName=request.getParameter("Portal_Theme");
String themeOidStr=request.getParameter("Portal_ThemeOidStr");
if (debugIntegrator) {
System.out.println("theme param: " + themeName);
System.out.println("pageID: " + pageID);
}
%> 
<%-- ----------------------------------------------------------------
Variable Declarations
---------------------------------------------------------------- --%> 
<%!
private static NavigationModelHome navigationModelHome=null;
private static Identification identification=null;
private static ThemeListHome themeListHome=null;
private static PortalLocalizedContextHome localizedContextHome=null;
static PortalStateManagerServiceHome stateServiceHome=null;
private static ThemeTemplateAccessorFactory themeAccFct=null;
static StateManagerService stateService=null;
private static java.util.Properties themeConfig;
NavigationModelProvider navProvider=null;
NavigationModel navModel=null;
ObjectID parentOid=null;
ObjectID pageOid=null;
String parentUniqueName=null;
%> 
<%-- --------------------------------------------------------
Add the theme class name to the web application's
body tag.
--------------------------------------------------------- --%> 
var bodyTag=document.getElementsByTagName("body")[0];
bodyTag.className+=" wptheme-mainbody";
<%@ include file="./webAppIntegratorInitialize.jspf" %> 
<%@ include file="./webAppIntegratorMoreMenu.jspf" %> 
<%-- ---------------------------------------------------------
Load Context Menu js code
----------------------------------------------------- --%> 
var jsURL="<portal-logic:urlFindInTheme forceAbsolute='true' theme='webAppIntegrator' file='js/AsynchronousContextMenu.js'/>";
<c:set var="contextJsHref"><c:choose><c:when test="${isIE}"><portal-logic:urlFindInTheme forceAbsolute="true" file="psw/com/ibm/psw/wcl/renderers/menu/html/context_ie.js" /></c:when><c:otherwise><portal-logic:urlFindInTheme forceAbsolute="true" file="psw/com/ibm/psw/wcl/renderers/menu/html/context_ns6.js" /></c:otherwise></c:choose></c:set>var cmURL='${contextJsHref}';
loadScript(jsURL);
loadScript(cmURL);
<%-- --------------------------------------------------------
Link in the style sheet for the theme
--------------------------------------------------------- --%> 
<%@ include file="./webAppIntegratorTheme.jspf" %> 
<%-- --------------------------------------------------------
Write the markup for the top banner
--------------------------------------------------------- --%> 
document.write('<div id="FLYParent" class="wptheme-FLYParent">');
document.write('<table id="wptheme-pageWrapper" class="wptheme-pageWrapper" width="100%" cellspacing="0" cellpadding="0" border="0">');
document.write("<tr><td id='webAppIntegratorTD'>");
document.write('<div class="wptheme-themeHeader">');
<%@ include file="./webAppIntegratorBanner.jspf" %> 
<%-- close <div class=wptheme-themeHeader> --%> 
document.write('</div>');
<%-- --------------------------------------------------------
Write the markup for the page navigation bar
--------------------------------------------------------- --%> 
<%@ include file="./webAppIntegratorPageHeader.jspf" %> 
<%-- --------------------------------------------------------
Write the markup for the bread crumbs
--------------------------------------------------------- --%> 
document.write('<div id="pageArea" class="wptheme-pageArea">');
document.write('<div id="wptheme-pageAreaToolbar" class="wptheme-pageAreaToolbar">');
<c-rt:if test="${themePolicy.renderBreadCrumbTrail}"><%@ include file="./webAppIntegratorBanner_crumbtrail.jspf" %> 
</c-rt:if>document.write('<div class="wptheme-clearing"><!-- --></div>');
<%-- close <div class=wptheme-pageAreadToolbar> --%> 
document.write('</div>');
<%-- --------------------------------------------------------
Add onload function to write the footer (e.g. the links
at the bottom of the page.
--------------------------------------------------------- --%> 
<%@ include file="./webAppIntegratorFooter.jspf" %> 
var onloadHandler=window.onload;
if (typeof onloadHandler != 'function') {
window.onload=writeFooter;
} else {
window.onload=function() {
onloadHandler();
writeFooter();
}
}
}
<%
} catch (Exception e) {
System.out.println("Inside-Out, Default.jsp: Exception raised: " + e.toString());
}
%> 
